Projects
Post Status Update
Updates the project status and creates a status update post with the provided content
Updates the project status and creates a status update post with the provided content
Path Parameters
id*string
Project ID
Query Parameters
expand?|||array<>
Expansion fields: "all", "none", or comma-separated fields (owner,status,area)
includeMarkdown?string
Include description.markdown field. Omit for better performance when markdown is not needed.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/status-update" \ -H "Content-Type: application/json" \ -d '{ "statusId": "e900225c-0629-4e96-be6e-86a17a309645", "content": "string" }'{ "id": "string", "publicId": "string", "name": "string", "slug": "string", "icon": "string", "startDate": "2019-08-24T14:15:22Z", "dueDate": "2019-08-24T14:15:22Z", "ownerId": "string", "areaId": "string", "workspaceId": "string", "statusId": "string", "archivedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "description": { "html": "string", "markdown": "string" }, "color": "string", "owner": { "id": "string", "name": "string", "email": "string", "username": "string" }, "status": { "id": "string", "name": "string", "color": "string", "icon": "string" }, "area": { "id": "string", "name": "string", "publicId": "str" }}